| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__LostServerDataEntry Struct Reference
Lost Server

Lost Server data entry that holds the actual Lost Server data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Lost Server name. More...
enum unsp__LostProtocol | LostProtocol
| Protocol for the Lost Server. More...
xsd__string | Address
| Lost Server address. More...
int | Port
| The port for the Lost Server. More...
xsd__string | ServicePath
| Service path for the Lost Server address required: false default value[range]: NA [1..256]. More...
enum unsp__LostStatus * | LostStatus
| Lost Server Operational Status required: false. More...
struct unsp__LocationServicesList * | LocationServicesList
| List of Location Services (Applicable in ESRP mode) required: false. More...

## Detailed Description

Lost Server data entry that holds the actual Lost Server data.

Used by unsp__LostServerList

## Member Data Documentation

## ◆ Address

xsd__string unsp__LostServerDataEntry::Address

Lost Server address.

It can be IPv4, IPv6 or FQDN
required: false
default value[range]: NA [1..256]

## ◆ LocationServicesList

struct unsp__LocationServicesList* unsp__LostServerDataEntry::LocationServicesList

List of Location Services (Applicable in ESRP mode)
required: false.

## ◆ LostProtocol

enum unsp__LostProtocol unsp__LostServerDataEntry::LostProtocol

Protocol for the Lost Server.

## ◆ LostStatus

enum unsp__LostStatus* unsp__LostServerDataEntry::LostStatus

Lost Server Operational Status
required: false.

## ◆ Name

xsd__string unsp__LostServerDataEntry::Name

Lost Server name.

required: true
default value[range]: NA [1..15]

## ◆ Port

int unsp__LostServerDataEntry::Port

The port for the Lost Server.

## ◆ ServicePath

xsd__string unsp__LostServerDataEntry::ServicePath

Service path for the Lost Server address
required: false
default value[range]: NA [1..256].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h